Bug 798840 - [abrt] qtoctave-0.10.1-7.fc16: QString::operator=: Process /usr/bin/qtoctave_pkg was killed by signal 11 (SIGSEGV)
[abrt] qtoctave-0.10.1-7.fc16: QString::operator=: Process /usr/bin/qtoctave_...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: qtoctave (Show other bugs)
16
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: nucleo
Fedora Extras Quality Assurance
abrt_hash:a796eea86725fad093527b9b4e4...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-02-29 22:32 EST by javier del cristo
Modified: 2013-02-13 03:29 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 03:29:06 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (54.77 KB, text/plain)
2012-02-29 22:32 EST, javier del cristo
no flags Details
File: maps (54.06 KB, text/plain)
2012-02-29 22:32 EST, javier del cristo
no flags Details
File: dso_list (12.57 KB, text/plain)
2012-02-29 22:32 EST, javier del cristo
no flags Details
File: build_ids (4.88 KB, text/plain)
2012-02-29 22:32 EST, javier del cristo
no flags Details

  None (edit)
Description javier del cristo 2012-02-29 22:32:45 EST
libreport version: 2.0.8
abrt_version:   2.0.7
backtrace_rating: 4
cmdline:        /usr/bin/qtoctave_pkg
crash_function: QString::operator=
executable:     /usr/bin/qtoctave_pkg
kernel:         3.2.7-1.fc16.x86_64
pid:            3071
pwd:            /home/javier
reason:         Process /usr/bin/qtoctave_pkg was killed by signal 11 (SIGSEGV)
time:           jue 01 mar 2012 00:22:50 BRT
uid:            1000
username:       javier
xsession_errors: 

backtrace:      Text file, 56089 bytes
build_ids:      Text file, 5002 bytes
dso_list:       Text file, 12874 bytes
maps:           Text file, 55358 bytes

environ:
:XDG_VTNR=1
:XDG_SESSION_ID=1
:HOSTNAME=javier
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:SHELL=/bin/bash
:TERM=dumb
:HISTSIZE=1000
:XDG_SESSION_COOKIE=6ff192caf37fa92a530d2e8d00000011-1330561117.263841-298145223
:QTDIR=/usr/lib64/qt-3.3
:QTINC=/usr/lib64/qt-3.3/include
:IMSETTINGS_MODULE=none
:USER=javier
:USERNAME=javier
:MAIL=/var/spool/mail/javier
:PATH=/usr/lib64/qt-3.3/bin:/usr/lib64/ccache:/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/sbin:/home/javier/.local/bin:/home/javier/bin
:DESKTOP_SESSION=gnome
:QT_IM_MODULE=xim
:PWD=/home/javier
:XMODIFIERS=@im=none
:KDE_IS_PRELINKED=1
:LANG=es_ES.utf8
:MODULEPATH=/usr/share/Modules/modulefiles:/etc/modulefiles
:GDM_LANG=es_ES.utf8
:LOADEDMODULES=
:KDEDIRS=/usr
:GDMSESSION=gnome
:HISTCONTROL=ignoredups
:HOME=/home/javier
:XDG_SEAT=seat0
:SHLVL=1
:LOGNAME=javier
:QTLIB=/usr/lib64/qt-3.3/lib
:CVS_RSH=ssh
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-AMVMQDKS9F,guid=d2edb1e4747abd66c42eb2f500000027
:MODULESHOME=/usr/share/Modules
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:XDG_RUNTIME_DIR=/run/user/javier
:DISPLAY=:0
:CCACHE_HASHDIR=
:XAUTHORITY=/var/run/gdm/auth-for-javier-UFs1ht/database
:'module=() {  eval `/usr/bin/modulecmd bash $*`\n}'
:_=/usr/bin/gnome-session
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1199,unix/unix:/tmp/.ICE-unix/1199
:GNOME_KEYRING_CONTROL=/tmp/keyring-dor6Sf
:GPG_AGENT_INFO=/tmp/keyring-dor6Sf/gpg:0:1
:SSH_AUTH_SOCK=/tmp/keyring-dor6Sf/ssh
:LC_TIME=es_CO.utf8
:LC_NUMERIC=es_CO.utf8
:LC_MONETARY=es_CO.utf8
:LC_MEASUREMENT=es_CO.utf8
:GJS_DEBUG_OUTPUT=stderr
:'GJS_DEBUG_TOPICS=JS ERROR;JS LOG'
:GIO_LAUNCHED_DESKTOP_FILE=/usr/share/applications/fedora-qtoctave.desktop
:GIO_LAUNCHED_DESKTOP_FILE_PID=3061

event_log:
:2012-03-01-00:29:38> Analyzing coredump 'coredump'
:2012-03-01-00:29:43  Coredump references 122 debuginfo files, 2 of them are not installed
:2012-03-01-00:29:43  Configurando los repositorios yum
:2012-03-01-00:30:10  Buscando los paquetes necesarios en los repositorios
:2012-03-01-00:30:15  Packages to download: 2
:2012-03-01-00:30:22  Downloading 0.90Mb, installed size: 4.99Mb. Continue? YES
:2012-03-01-00:30:25  Downloading (1 of 2) pixman-debuginfo-0.24.2-1.fc16.x86_64.rpm: 100
:2012-03-01-00:30:25  Extracting cpio from /tmp/abrt-tmp-debuginfo-2012-03-01-00:29:39.5129/pixman-debuginfo-0.24.2-1.fc16.x86_64.rpm
:2012-03-01-00:30:25  Caching files from unpacked.cpio made from pixman-debuginfo-0.24.2-1.fc16.x86_64.rpm
:2012-03-01-00:30:26  Downloading (2 of 2) nss-myhostname-debuginfo-0.3-1.fc16.x86_64.rpm: 100
:2012-03-01-00:30:26  Extracting cpio from /tmp/abrt-tmp-debuginfo-2012-03-01-00:29:39.5129/nss-myhostname-debuginfo-0.3-1.fc16.x86_64.rpm
:2012-03-01-00:30:26  Caching files from unpacked.cpio made from nss-myhostname-debuginfo-0.3-1.fc16.x86_64.rpm
:2012-03-01-00:30:26  Removing /tmp/abrt-tmp-debuginfo-2012-03-01-00:29:39.5129
:2012-03-01-00:30:26  All 122 debuginfo files are available
:2012-03-01-00:30:26  Generating backtrace
:2012-03-01-00:30:45  Backtrace is generated and saved, 56089 bytes
:2012-03-01-00:32:27> Element 'xsession_errors' saved
:2012-03-01-00:32:27> GConf directory /apps/qtoctave_pkg does not exist
:2012-03-01-00:32:27* (exited with 1)
:2012-03-01-00:32:29> Smolt profile successfully saved

smolt_data:
:
:
:General
:=================================
:UUID: 436d0ae9-bf44-48f6-9df5-0f7a9d1ddb0d
:SO: Fedora release 16 (Verne)
:Nivel de ejecución por defecto: Unknown
:Idioma: es_ES.utf8
:Plataforma: x86_64
:BogoMIPS: 4255.87
:Fabricante de CPU: GenuineIntel
:Modelo de CPU: Intel(R) Core(TM) i3 CPU       M 330  @ 2.13GHz
:Paso del UCP: 2
:Familia de UCP: 6
:Número de Modelo de CPU: 37
:Número de CPUs: 4
:Velocidad del CPU: 2133
:Memoria del Sistema: 3818
:Intercambio (swap) del Sistema: 5855
:Vendedor: Dell Inc.
:Sistema: Inspiron 1564 A13
:Factor de forma: Portable
:Kernel: 3.2.7-1.fc16.x86_64
:SELinux Habilitado: 1
:Política de SELinux: targeted
:SELinux Obligado: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Dispositivos
:=================================
:(32902:11362:32902:32902) pci, None, HOST/PCI, Core Processor QuickPath Architecture Generic Non-core Registers
:(32902:11521:32902:32902) pci, None, HOST/PCI, Core Processor QuickPath Architecture System Address Decoder
:(32902:68:4136:1076) pci, None, HOST/PCI, Core Processor DRAM Controller
:(32902:69:4136:1076) pci, pcieport, PCI/PCI, Core Processor PCI Express x16 Root Port
:(32902:11536:32902:32902) pci, None, HOST/PCI, Core Processor QPI Link 0
:(32902:11537:32902:32902) pci, None, HOST/PCI, Core Processor QPI Physical 0
:(5348:17173:4136:12) pci, wl, NETWORK, Wireless 1397 WLAN Mini-Card
:(32902:11539:32902:32902) pci, None, HOST/PCI, Core Processor Reserved
:(32902:15152:4136:1076) pci, None, SERIAL, 5 Series/3400 Series Chipset SMBus Controller
:(32902:15145:4136:1076) pci, ahci, STORAGE, 5 Series/3400 Series Chipset 4 port SATA AHCI Controller
:(32902:15113:4136:1076) pci, None, PCI/ISA, Mobile 5 Series Chipset LPC Interface Controller
:(4098:38226:4136:1076) pci, radeon, VIDEO, M92 LP [Mobility Radeon HD 4300 Series]
:(4098:43576:4136:1076) pci, snd_hda_intel, MULTIMEDIA, RV710/730
:(32902:15164:4136:1076) pci, ehci_hcd, USB, 5 Series/3400 Series Chipset USB2 Enhanced Host Controller
:(32902:9288:4136:1076) pci, None, PCI/PCI, 82801 Mobile PCI Bridge
:(32902:15204:4136:1076) pci, None, SIMPLE, 5 Series/3400 Series Chipset HECI Controller
:(32902:15170:4136:1076) pci, pcieport, PCI/PCI, 5 Series/3400 Series Chipset PCI Express Root Port 1
:(32902:15172:4136:1076) pci, pcieport, PCI/PCI, 5 Series/3400 Series Chipset PCI Express Root Port 2
:(32902:15190:4136:1076) pci, snd_hda_intel, MULTIMEDIA, 5 Series/3400 Series Chipset High Definition Audio
:(32902:15156:4136:1076) pci, ehci_hcd, USB, 5 Series/3400 Series Chipset USB2 Enhanced Host Controller
:(32902:15180:4136:1076) pci, pcieport, PCI/PCI, 5 Series/3400 Series Chipset PCI Express Root Port 6
:(32902:11538:32902:32902) pci, None, HOST/PCI, Core Processor Reserved
:(4332:33078:4136:1076) pci, r8169, ETHERNET, RTL8101E/RTL8102E PCI Express Fast Ethernet controller
:
:
:Información relacionada con el sistema de archivos
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/mapper/vg_javier-lv_root / ext4 4096 4096 13081819 6648657 5993297 3276800 2695343 2695343
:/dev/sda2 /boot ext4 1024 1024 508745 436182 410582 128016 127791 127791
:/dev/mapper/vg_javier-lv_home /home ext4 4096 4096 63332473 40852315 37682011 15851520 15813373 15813373
:

var_log_messages:
:Feb 26 16:46:23 javier abrt[24573]: Saved core dump of pid 6098 (/usr/bin/qtoctave_pkg) to /var/spool/abrt/ccpp-2012-02-26-16:46:22-6098 (35344384 bytes)
:Feb 26 17:01:02 javier kernel: [14325.832911] qtoctave_pkg[25054]: segfault at 8 ip 00000000004157cb sp 00007fff9bfa75b0 error 4 in qtoctave_pkg[400000+29000]
:Feb 26 17:01:03 javier abrt[30020]: Saved core dump of pid 25054 (/usr/bin/qtoctave_pkg) to /var/spool/abrt/ccpp-2012-02-26-17:01:02-25054 (39923712 bytes)
:Mar  1 00:22:50 javier kernel: [11088.445028] qtoctave_pkg[3071]: segfault at 1 ip 000000376eec639d sp 00007fff65ce77a0 error 4 in libQtCore.so.4.8.0[376ee00000+2c2000]
:Mar  1 00:22:50 javier abrt[4451]: Saved core dump of pid 3071 (/usr/bin/qtoctave_pkg) to /var/spool/abrt/ccpp-2012-03-01-00:22:50-3071 (35164160 bytes)
Comment 1 javier del cristo 2012-02-29 22:32:49 EST
Created attachment 566722 [details]
File: backtrace
Comment 2 javier del cristo 2012-02-29 22:32:52 EST
Created attachment 566723 [details]
File: maps
Comment 3 javier del cristo 2012-02-29 22:32:54 EST
Created attachment 566724 [details]
File: dso_list
Comment 4 javier del cristo 2012-02-29 22:32:56 EST
Created attachment 566725 [details]
File: build_ids
Comment 5 Kevin Kofler 2012-03-01 01:23:08 EST
Another variant of bug #797573 (timing out as in that one) and bug #797574 (crashing as in that one rather than throwing an uncaught exception as in the other one).
Comment 6 Fedora End Of Life 2013-01-16 05:09:23 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Fedora End Of Life 2013-02-13 03:29:08 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.